
QGIS Application - Bug report #17594

Temporary scratch layer dialogue should also list curve geometry types as supported types

2017-11-30 10:32 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25491

Description

When creating a new temporary scratch layer (through menu "Layer" --> "Create Layer" --> "New Temporary Scratch Layer") only simple

feature geometry types are offered.

The following geometry types should be offered in addition:

    -  CompoundCurve

    -  CurvePolygon

    -  MultiCurve

    -  MultiSurface

History

#1 - 2017-11-30 04:40 PM - Giovanni Manghi

- Category changed from Vectors to Digitising

#2 - 2017-12-01 07:13 AM - Nyall Dawson

Those types aren't specifically offered by the dialog, but the provider still allows curves. E.g. make a LineString memory layer, and you can insert curves in

the layer.

#3 - 2017-12-01 07:32 AM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to invalid

#4 - 2017-12-01 07:43 AM - Andreas Neumann

- Status changed from Closed to Reopened

- Resolution deleted (invalid)

Ok - just tested and you are right - circular arcs are supported in LineString or Polygon layers.

But the issue is still valid. The dialogue needs to be adjusted to make it clear that curves are supported, e.g. by saying

    -  Linestring / Compoundcurve

    -  Polygon / CurvePolygon

    -  MultiLine / MultiCurve

    -  MultiPolygon / MultiSurface
This would a very simple fix just in the dialogue and wouldn't require any other changes.

It would also be good to use the "official" OGC terms and not reinvent our own terms. E.g. "Line" should be "LineString"

#5 - 2017-12-01 08:21 AM - Andreas Neumann

- Subject changed from Temporary scratch layer doesn't allow to create curve geometry types to Temporary scratch layer dialogue should also list curve 

geometry types as supported types

#6 - 2018-01-08 11:15 AM - Andreas Neumann

- Resolution set to fixed/implemented

- Status changed from Reopened to Closed

Is now implemented - thanks to Harissou!
